import('model.Component')
import('model.toolbar.section.table.Table')

---@class AddColumn : Component
AddColumn = Component:extendAs("model.toolbar.section.table.header.AddColumn")

function AddColumn:create(parent)
    local element = AddColumn:createRoot(parent, {
        type = "sprite-button",
        sprite = "interface-mod_add-column",
        style = "toolbar_button_icon_gray" })
    return AddColumn:new(element)
end

function AddColumn:new(element)
    return AddColumn:super(Component:new(element))
end

function AddColumn:handleGuiEvent(guiEvent)
    if guiEvent:isLeftClick() then
        self:ancestor(Table):addColumn()
    end
end
