import('model.Component')
import('model.toolbar.section.table.Table')

---@class AddRow : Component
AddRow = Component:extendAs("model.toolbar.section.table.header.AddRow")

function AddRow:create(parent)
    local element = AddRow:createRoot(parent, {
        type = "sprite-button",
        sprite = "interface-mod_add-row",
        style = "toolbar_button_icon_gray" })
    element.style.right_margin = 5
    return AddRow:new(element)
end

function AddRow:new(element)
    return AddRow:super(Component:new(element))
end

function AddRow:handleGuiEvent(guiEvent)
    if guiEvent:isLeftClick() then
        self:ancestor(Table):addRow()
    end
end
